Jump to content
Guest Terthna

Problem with Mazzy Truesword kit install

Recommended Posts

Guest Terthna

I don't know if anyone else has had this problem, but every time I try to install Mazzy's kit this error pops up:

 

 

[NPCKit/mazzy/trueswordx.baf] PARSE ERROR at line 7 column 39-39

Near Text: >

[spellRES] not found in ACTION.IDS

 

[NPCKit/mazzy/trueswordx.baf] PARSE ERROR at line 7 column 39-39

Near Text: >

Parsing.Parse_error

ERROR: parsing [NPCKit/mazzy/trueswordx.baf]: Parsing.Parse_error

ERROR: error compiling [NPCKit/mazzy/trueswordx.baf] Parsing.Parse_error

ERROR: [mazzyx.bcs] -> [override/mazzyx.bcs] Patching Failed <COPY> <Parsing.Parse_error>

 

 

I'm pretty sure this is a problem with the program itself, seeing as I even tried uninstalling Baldur's Gate 2 and redownloading the program from a different mirror. I'd really appreciate it if a version of the program with this problem fixed were posted.

Share this post


Link to post

That's weird. SpellRES is one of a group of scripting commands normally not present if ToB isn't installed, but they can easily be added to a SoA-only game. NPCKit.tp2 should add SpellRES and a couple of others if they're not already present in the game, so it looks like that part of the code isn't working for you, for some reason.

Share this post


Link to post

I tend to only use the npc kitpack on the characters I'm planning to have in the party, so it's been a while since I even tried installing this component, but I'm fairly sure that I got the same error on a SoA-only install.

 

I was going to report it, but I'm afraid that I forgot all about it during one of my periods of involountary absence...

Share this post


Link to post

Download this soa_ids package and unzip it to your bg2\override folder. To the best of my knowledge, this package contains every known working ids command for the BG2 variant of the IE - it will certainly fix that install problem.

 

-Y-

Share this post


Link to post

Okay, I know why this is happening (a particularly dumb piece of coding on my part). SoA-only users have probably been shielded by other mods until now, do as Yovaneth suggests (or install almost any other mod first) to fix this.

Share this post


Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...